Error messages from LIFX plugin

Posted on
Sun Jun 24, 2018 1:11 pm
SSteve offline
User avatar
Posts: 63
Joined: Sep 12, 2012
Location: Sierra Foothills, California

Error messages from LIFX plugin

When I select Plugins -> LIFX -> Check for Plugin Updates I get this:

Code: Select all
Jun 24, 2018, 12:11:24 PM
   LIFX                            Checking for updates...
   LIFX Error                      Error in plugin execution MenuAction:

Traceback (most recent call last):
  File "plugin.py", line 130, in checkForUpdates
  File "/Library/Application Support/Perceptive Automation/Indigo 7/Plugins/LIFX.indigoPlugin/Contents/Server Plugin/ghpu.py", line 88, in checkForUpdate
  File "/Library/Application Support/Perceptive Automation/Indigo 7/Plugins/LIFX.indigoPlugin/Contents/Server Plugin/ghpu.py", line 175, in _prepareForUpdate
  File "/Library/Application Support/Perceptive Automation/Indigo 7/Plugins/LIFX.indigoPlugin/Contents/Server Plugin/ghpu.py", line 97, in getUpdate
  File "/Library/Application Support/Perceptive Automation/Indigo 7/Plugins/LIFX.indigoPlugin/Contents/Server Plugin/ghpu.py", line 117, in getLatestRelease
  File "/Library/Application Support/Perceptive Automation/Indigo 7/Plugins/LIFX.indigoPlugin/Contents/Server Plugin/ghpu.py", line 145, in _GET
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/httplib.py", line 1053, in request
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/httplib.py", line 1093, in _send_request
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/httplib.py", line 1049, in endheaders
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/httplib.py", line 893, in _send_output
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/httplib.py", line 855, in send
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/httplib.py", line 1274, in connect
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/ssl.py", line 352, in wrap_socket
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/ssl.py", line 579, in __init__
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/ssl.py", line 808, in do_handshake
SSLError: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:590)


Also, a few of my lights are having trouble connecting to my network at the moment. I get this error every minute:

Code: Select all
Jun 24, 2018, 12:10:54 PM
   LIFX Error                      StandardError detected communicating with LIFX lamp. Line '267' has error='list index out of range'

Posted on
Sun Jun 24, 2018 2:05 pm
autolog offline
Posts: 2426
Joined: Sep 10, 2013
Location: West Sussex

Re: Error messages from LIFX plugin

The latest version is v5.0.7 available in the Indigo Plugin store.
Are you running this version?

The update check error is a known problem that will be resolved in the next update of the plugin which I am currently working on [no ETA].
There are a number of threads about this issue e.g. https://forums.indigodomo.com/viewtopic.php?f=279&t=20808.

Not sure about the list index out of bounds but I suspect it is to do with devices discovery and could caused by your network problems. Obviously the plugin shouldn't get this error. :|

Posted on
Sun Jun 24, 2018 3:01 pm
SSteve offline
User avatar
Posts: 63
Joined: Sep 12, 2012
Location: Sierra Foothills, California

Re: Error messages from LIFX plugin

I’m running 5.0.7. Sorry I forgot to mention that. I’ll keep an eye out for the update. If I’m able to do any troubleshooting while I’m trying to get my lights back on the network I’ll let you know.

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest